org.jgroups.blocks

## Class VotingAdapter.VoteResult

- java.lang.Object
- - org.jgroups.blocks.VotingAdapter.VoteResult

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    VotingAdapter.FailureVoteResult
  Enclosing class:
    VotingAdapter

      public static class VotingAdapter.VoteResult
      extends java.lang.Object
      implements java.io.Serializable

  This class represents the result of local voting. It contains a number of positive and negative votes collected during local voting.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VotingAdapter.VoteResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addVote(boolean vote)`
    `int` | `getNegativeVotes()`
    `int` | `getPositiveVotes()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VotingAdapter.VoteResult

          public VotingAdapter.VoteResult()

  - ### Method Detail

    - #### addVote

          public void addVote(boolean vote)

    - #### getPositiveVotes

          public int getPositiveVotes()

    - #### getNegativeVotes

          public int getNegativeVotes()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.